Package org.apache.catalina.filters

# Class CsrfPreventionFilter.PatternPredicate

java.lang.Object
org.apache.catalina.filters.CsrfPreventionFilter.PatternPredicate

All Implemented Interfaces:
  `CsrfPreventionFilter.Predicate<String>`

Enclosing class:
  CsrfPreventionFilter

protected static class CsrfPreventionFilter.PatternPredicate extends Object implements CsrfPreventionFilter.Predicate<String>
A no-nonce Predicate that matches a regular expression.

## Constructor Summary

Constructors
Constructor
Description
`PatternPredicate(String regex)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(String t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PatternPredicate

public PatternPredicate(String regex)

## Method Details

### test

public boolean test(String t)

Specified by:
  `test` in interface `CsrfPreventionFilter.Predicate<String>`